img-dted(3tk)

NAME
img-dted - Img, DTED Format (dted)

SYNOPSIS
package require Tk

package require img::dted ?1.4?

image create photo ?name? ?options?

DESCRIPTION
The package img::dted is a sub-package of Img. It can be loaded as a part of the complete Img support, via package require Img, or on its own, via package require img::dted.

Like all packages of Img it does not provide new commands, but extends the existing Tk command image so that it supports files containing raster images in the DTED Format (dted). More specifically img::dted extends Tk's photo image type.

The name of the new format handler is dted. This handler provides new additional configuration options. See section DTED OPTIONS for more detailed explanations.

All of the above means that in a call like

image create photo ?name? ?options?

[1] Image data in dted format (options -data and -file) is detected automatically.

[2] The format name dted is recognized by the option -format. In addition the value for the option is treated as list and may contain any of the special options listed in section DTED OPTIONS.

NOTE
This format handler must be loaded explicitly with package require img::dted.

SUPPORTED DTED TYPES
    Interpret DTED terrain elevation data as a grayscale image.
    List of currently supported features:
    Type   |     Read      |     Write     |
    | -file | -data | -file | -data |
    ----------------------------------------
    Gray   | Yes   | Yes   | No    | No   |

DTED OPTIONS
The handler provides the following options:

-verbose bool
    If set to true, additional information about the loaded image is printed to stdout. Default is false.

-nchan int
    Specify the number of channels of the generated image. Default is 1, i.e. generate a grayscale image.

-gamma float
    Specify a gamma correction to be applied when mapping the input data to 8-bit image values. Default is 1.0.

-nomap bool
    If set to true, no mapping of input values is done. Use this option, if your elevation file contains values in the range of 0 .. 255 only. Default is false.

-min short
    Specify the minimum pixel value to be used for mapping the input data to 8-bit image values. Default is the minimum value found in the elevation data.

-max short
    This option is supported for reading only.

    Specify the maximum pixel value to be used for mapping the input data to 8-bit image values. Default is the maximum value found in the elevation data.

SEE ALSO
img-bmp, img-dted, img-gif, img-ico, img-intro, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

KEYWORDS
dted, image handling, tk

COPYRIGHT
Copyright (c) 1995-2009 Jan Nijtmans <nijtmans@users.sourceforge.net>